### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Interface ServiceConfigFactoryInterface

All Known Implementing Classes:
  `AbstractServiceConfigFactory`, `OMRServiceConfigFactory`, `URLServiceConfigFactory`

@SASScope("ALL") @BinaryCompatibilityOnly public interface ServiceConfigFactoryInterface
Factory interface used to create a service configuration.

Since:
  9.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServiceConfigurationInterface`
  `createConfigForService(String softwareComponentName, String serviceGroupName, String serviceComponentName, MetadataSourceInterface metadataSource, boolean isRMIExportEnabled)`
  Query the service's configuration using a metadata resource adaptor.

- ## Method Details

  - ### createConfigForService

    ServiceConfigurationInterface createConfigForService(String softwareComponentName, String serviceGroupName, String serviceComponentName, MetadataSourceInterface metadataSource, boolean isRMIExportEnabled) throws ServiceException
    Query the service's configuration using a metadata resource adaptor. If an identity is not explicitly specified, then use a pre-configured identity obtained from the JAAS login-config.xml.
    Parameters:
      `softwareComponentName` - The name of the SAS Foundation Services deployment. This is the `SoftwareComponent.Name`.
      `serviceGroupName` - The name of the service deployment group. This is the `Tree.Name`.
      `serviceComponentName` - The name of the service component. This is the `ServiceComponent.Name`.
      `metadataSource` - Metadata source.
      `isRMIExportEnabled` - `true` if remote objects should be exported to the RMI system or `false` if they shouldn't.
    Returns:
      Service configuration
    Throws:
      `ServiceException` - if unable to get the service configuration. The ServiceException may wrap an exception that provides details concerning the cause of the failure.
      `IllegalStateException` - if this method is called after this object has been destroyed.